Loading...
Searching...
No Matches
ON_Circle Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_circle.h>`

Inheritance diagram for ON_Circle:

## Public Member Functions

| ON_Circle ()
| ON_Circle (const ON_Plane &plane, double radius)
| ON_Circle (const ON_3dPoint &center, double radius)
| ON_Circle (const ON_Plane &plane, const ON_3dPoint &center, double radius)
| ON_Circle (const ON_2dPoint &P, const ON_2dPoint &Q, const ON_2dPoint &R)
| ON_Circle (const ON_3dPoint &P, const ON_3dPoint &Q, const ON_3dPoint &R)
| ~ON_Circle ()
bool | Create (const ON_Plane &plane, double radius)
bool | Create (const ON_3dPoint &center, double radius)
bool | Create (const ON_Plane &plane, const ON_3dPoint &center, double radius)
bool | Create (const ON_2dPoint &P, const ON_2dPoint &Q, const ON_2dPoint &R)
bool | Create (const ON_3dPoint &P, const ON_3dPoint &Q, const ON_3dPoint &R)
bool | Create (const ON_2dPoint &P, const ON_2dVector &tangent_at_P, const ON_2dPoint &Q)
bool | Create (const ON_3dPoint &P, const ON_3dVector &tangent_at_P, const ON_3dPoint &Q)
bool | IsValid () const
bool | IsInPlane (const ON_Plane &, double=ON_ZERO_TOLERANCE) const
double | Radius () const
double | Diameter () const
double | Circumference () const
const ON_3dPoint & | Center () const
const ON_3dVector & | Normal () const
const ON_Plane & | Plane () const
ON_BoundingBox | BoundingBox () const
bool | GetTightBoundingBox (ON_BoundingBox &tight_bbox, int bGrowBox=false, const ON_Xform *xform=0) const
bool | Transform (const ON_Xform &)
ON_3dPoint | PointAt (double) const
ON_3dVector | DerivativeAt (int, double) const
ON_3dVector | TangentAt (double) const
bool | ClosestPointTo (const ON_3dPoint &point, double *t) const
ON_3dPoint | ClosestPointTo (const ON_3dPoint &point) const
double | EquationAt (const ON_2dPoint &plane_point) const
ON_2dVector | GradientAt (const ON_2dPoint &plane_point) const
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation)
bool | Rotate (double angle_in_radians, const ON_3dVector &axis_of_rotation)
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
bool | Rotate (double angle_in_radians, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
bool | Translate (const ON_3dVector &delta)
bool | Reverse ()
int | GetNurbForm (ON_NurbsCurve &nurbs_curve) const
bool | GetRadianFromNurbFormParameter (double nurbs_parameter, double *circle_radians_parameter) const
bool | GetNurbFormParameterFromRadian (double circle_radians_parameter, double *nurbs_parameter) const

## Public Attributes

ON_Plane | plane
double | radius

## Detailed Description

Definition at line 33 of file opennurbs_circle.h.

## Constructor & Destructor Documentation

## ON_Circle() [1/6]

ON_Circle::ON_Circle | ( |  | ) |

## ON_Circle() [2/6]

ON_Circle::ON_Circle | ( | const ON_Plane & | plane,
|  | double | radius
| ) |  |

## ON_Circle() [3/6]

ON_Circle::ON_Circle | ( | const ON_3dPoint & | center,
|  | double | radius
| ) |  |

## ON_Circle() [4/6]

ON_Circle::ON_Circle | ( | const ON_Plane & | plane,
|  | const ON_3dPoint & | center,
|  | double | radius
| ) |  |

## ON_Circle() [5/6]

ON_Circle::ON_Circle | ( | const ON_2dPoint & | P,
|  | const ON_2dPoint & | Q,
|  | const ON_2dPoint & | R
| ) |  |

## ON_Circle() [6/6]

ON_Circle::ON_Circle | ( | const ON_3dPoint & | P,
|  | const ON_3dPoint & | Q,
|  | const ON_3dPoint & | R
| ) |  |

## ~ON_Circle()

ON_Circle::~ON_Circle | ( |  | ) |

## Member Function Documentation

## BoundingBox()

ON_BoundingBox ON_Circle::BoundingBox | ( |  | ) | const

## Center()

const ON_3dPoint & ON_Circle::Center | ( |  | ) | const

## Circumference()

double ON_Circle::Circumference | ( |  | ) | const

## ClosestPointTo() [1/2]

ON_3dPoint ON_Circle::ClosestPointTo | ( | const ON_3dPoint & | point | ) | const

## ClosestPointTo() [2/2]

bool ON_Circle::ClosestPointTo | ( | const ON_3dPoint & | point,
|  | double * | t
| ) |  | const

## Create() [1/7]

bool ON_Circle::Create | ( | const ON_2dPoint & | P,
|  | const ON_2dPoint & | Q,
|  | const ON_2dPoint & | R
| ) |  |

## Create() [2/7]

bool ON_Circle::Create | ( | const ON_2dPoint & | P,
|  | const ON_2dVector & | tangent_at_P,
|  | const ON_2dPoint & | Q
| ) |  |

## Create() [3/7]

bool ON_Circle::Create | ( | const ON_3dPoint & | center,
|  | double | radius
| ) |  |

## Create() [4/7]

bool ON_Circle::Create | ( | const ON_3dPoint & | P,
|  | const ON_3dPoint & | Q,
|  | const ON_3dPoint & | R
| ) |  |

## Create() [5/7]

bool ON_Circle::Create | ( | const ON_3dPoint & | P,
|  | const ON_3dVector & | tangent_at_P,
|  | const ON_3dPoint & | Q
| ) |  |

## Create() [6/7]

bool ON_Circle::Create | ( | const ON_Plane & | plane,
|  | const ON_3dPoint & | center,
|  | double | radius
| ) |  |

## Create() [7/7]

bool ON_Circle::Create | ( | const ON_Plane & | plane,
|  | double | radius
| ) |  |

## DerivativeAt()

ON_3dVector ON_Circle::DerivativeAt | ( | int | ,
|  | double |
| ) |  | const

## Diameter()

double ON_Circle::Diameter | ( |  | ) | const

## EquationAt()

double ON_Circle::EquationAt | ( | const ON_2dPoint & | plane_point | ) | const

## GetNurbForm()

int ON_Circle::GetNurbForm | ( | ON_NurbsCurve & | nurbs_curve | ) | const

## GetNurbFormParameterFromRadian()

bool ON_Circle::GetNurbFormParameterFromRadian | ( | double | circle_radians_parameter,
|  | double * | nurbs_parameter
| ) |  | const

## GetRadianFromNurbFormParameter()

bool ON_Circle::GetRadianFromNurbFormParameter | ( | double | nurbs_parameter,
|  | double * | circle_radians_parameter
| ) |  | const

## GetTightBoundingBox()

bool ON_Circle::GetTightBoundingBox | ( | ON_BoundingBox & | tight_bbox,
|  | int | bGrowBox = `false`,
|  | const ON_Xform * | xform = `0`
| ) |  | const

## GradientAt()

ON_2dVector ON_Circle::GradientAt | ( | const ON_2dPoint & | plane_point | ) | const

## IsInPlane()

bool ON_Circle::IsInPlane | ( | const ON_Plane & | ,
|  | double | = `ON_ZERO_TOLERANCE`
| ) |  | const

## IsValid()

bool ON_Circle::IsValid | ( |  | ) | const

## Normal()

const ON_3dVector & ON_Circle::Normal | ( |  | ) | const

## Plane()

const ON_Plane & ON_Circle::Plane | ( |  | ) | const

## PointAt()

ON_3dPoint ON_Circle::PointAt | ( | double |  | ) | const

## Radius()

double ON_Circle::Radius | ( |  | ) | const

## Reverse()

bool ON_Circle::Reverse | ( |  | ) |

## Rotate() [1/4]

bool ON_Circle::Rotate | ( | double | angle_in_radians,
|  | const ON_3dVector & | axis_of_rotation
| ) |  |

## Rotate() [2/4]

bool ON_Circle::Rotate | ( | double | angle_in_radians,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation
| ) |  |

## Rotate() [3/4]

bool ON_Circle::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation
| ) |  |

## Rotate() [4/4]

bool ON_Circle::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation
| ) |  |

## TangentAt()

ON_3dVector ON_Circle::TangentAt | ( | double |  | ) | const

## Transform()

bool ON_Circle::Transform | ( | const ON_Xform & |  | ) |

## Translate()

bool ON_Circle::Translate | ( | const ON_3dVector & | delta | ) |

## Member Data Documentation

## plane

ON_Plane ON_Circle::plane

Definition at line 318 of file opennurbs_circle.h.

## radius

double ON_Circle::radius

Definition at line 319 of file opennurbs_circle.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_circle.h